OpenVDB: RootNode< ChildT >::ValueOnIter< RootT > Class Template Reference

OpenVDB 12.1.0

Loading...
Searching...
No Matches
RootNode< ChildT >::ValueOnIter< RootT > Class Template Reference

`#include <nanovdb/NanoVDB.h>`

Inheritance diagram for RootNode< ChildT >::ValueOnIter< RootT >:

## Public Member Functions
__hostdev__ | ValueOnIter ()
__hostdev__ | ValueOnIter (RootT *parent)
__hostdev__ ValueType | operator* () const
__hostdev__ ValueOnIter & | operator++ ()
__hostdev__ ValueOnIter | operator++ (int)
__hostdev__ | operator bool () const
__hostdev__ uint32_t | pos () const
__hostdev__ TileT * | tile () const
__hostdev__ CoordType | getOrigin () const
__hostdev__ CoordType | getCoord () const

## Protected Types
using | DataT = typename util::match_const<DataType, RootT>::type
using | TileT = typename util::match_const<Tile, RootT>::type

## Member Typedef Documentation

## ◆ DataT

template<typename ChildT>
template<typename RootT>

using DataT = typename util::match_const<DataType, RootT>::type
| protectedinherited

## ◆ TileT

template<typename ChildT>
template<typename RootT>

using TileT = typename util::match_const<Tile, RootT>::type
| protectedinherited

## Constructor & Destructor Documentation

## ◆ ValueOnIter() [1/2]

template<typename ChildT>
template<typename RootT>

__hostdev__ ValueOnIter | ( |  | ) |
| inline

## ◆ ValueOnIter() [2/2]

template<typename ChildT>
template<typename RootT>

__hostdev__ ValueOnIter | ( | RootT * | parent | ) |
| inline

## Member Function Documentation

## ◆ getCoord()

template<typename ChildT>
template<typename RootT>

__hostdev__ CoordType getCoord | ( |  | ) | const
| inlineinherited

## ◆ getOrigin()

template<typename ChildT>
template<typename RootT>

__hostdev__ CoordType getOrigin | ( |  | ) | const
| inlineinherited

## ◆ operator bool()

template<typename ChildT>
template<typename RootT>

__hostdev__ operator bool | ( |  | ) | const
| inlineinherited

## ◆ operator*()

template<typename ChildT>
template<typename RootT>

__hostdev__ ValueType operator* | ( |  | ) | const
| inline

## ◆ operator++() [1/2]

template<typename ChildT>
template<typename RootT>

__hostdev__ ValueOnIter & operator++ | ( |  | ) |
| inline

## ◆ operator++() [2/2]

template<typename ChildT>
template<typename RootT>

__hostdev__ ValueOnIter operator++ | ( | int |  | ) |
| inline

## ◆ pos()

template<typename ChildT>
template<typename RootT>

__hostdev__ uint32_t pos | ( |  | ) | const
| inlineinherited

## ◆ tile()

template<typename ChildT>
template<typename RootT>

__hostdev__ TileT * tile | ( |  | ) | const
| inlineinherited